/*AT&T研究所webサイトの人工合成音で作成した音声を再生するプログラム
最初に書いた日　2012.1.3
更新
更新

元にしたソースリスト(書籍：入門GTK＋より)
gtk-sources-20091015 > gtk > packing > packing-sample.c

*/

#include <gtk/gtk.h>
#include <stdlib.h>

syobontoissyoniyakyusiyouze()
{
	system("aplay -q ショボンと一緒に野球しようぜ.wav");
}

ohayogozaimasu()
{
	system("aplay -q おはようございます.wav");
}

konnitiwa()
{
	system("aplay -q こんにちは.wav");
}

konbanwa()
{
	system("aplay -q こんばんは.wav");
}

iitenkidaze()
{
	system("aplay -q いい天気だぜ.wav");
}

onakasukimasitawa()
{
	system("aplay -q お腹空きましたわ.wav");
}

kaeritaidesu()
{
	system("aplay -q 帰りたいです.wav");
}

hai()
{
	system("aplay -q はい.wav");
}

iie()
{
	system("aplay -q いいえ.wav");
}

sami()
{
	system("aplay -q 寒ぃー.wav");
}

ati()
{
	system("aplay -q 暑ぃー.wav");
}

rokugawokaisisimasu()
{
	system("aplay -q 録画を開始します.wav");
}

rokugawokaisisimasueko()
{
	system("aplay -q 録画を開始しますエコー.wav");
}
		   
/*メイン関数*/
int main(int argc, char **argv)
{
	GtkWidget *window;
	GtkWidget *vbox;
	GtkWidget *hbox;
	GtkWidget *button;

	/*gtkイニシャライズ*/
	gtk_init (&argc, &argv);

	/* ウィンドウの作成 */  
	window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
	g_signal_connect(window, "destroy", G_CALLBACK(gtk_main_quit), NULL);

	/* ウィンドウの大きさの設定 */    
	gtk_widget_set_size_request (window, 640, 480);  

	vbox = gtk_vbox_new (TRUE, 5);
	gtk_container_add (GTK_CONTAINER (window), vbox);

	hbox = gtk_hbox_new (FALSE, 5);
	gtk_box_pack_start (GTK_BOX (vbox), hbox, TRUE, TRUE, 0);
	button = gtk_button_new_with_label ("ショボンと一緒に野球しようぜ");
	gtk_box_pack_start (GTK_BOX (hbox), button, TRUE, TRUE, 0);
	g_signal_connect (G_OBJECT (button), "clicked",
		G_CALLBACK (syobontoissyoniyakyusiyouze), NULL);

	hbox = gtk_hbox_new (FALSE, 5);
	gtk_box_pack_start (GTK_BOX (vbox), hbox, TRUE, TRUE, 0);
	button = gtk_button_new_with_label ("おはようございます");
	gtk_box_pack_start (GTK_BOX (hbox), button, TRUE, TRUE, 0);
	g_signal_connect (G_OBJECT (button), "clicked",
		G_CALLBACK (ohayogozaimasu), NULL);
	button = gtk_button_new_with_label ("こんにちは");
	gtk_box_pack_start (GTK_BOX (hbox), button, TRUE, TRUE, 0);
	g_signal_connect (G_OBJECT (button), "clicked",
		G_CALLBACK (konnitiwa), NULL);

	hbox = gtk_hbox_new (FALSE, 5);
	gtk_box_pack_start (GTK_BOX (vbox), hbox, TRUE, TRUE, 0);
	button = gtk_button_new_with_label ("こんばんは");
	gtk_box_pack_start (GTK_BOX (hbox), button, TRUE, TRUE, 0);
	g_signal_connect (G_OBJECT (button), "clicked",
		G_CALLBACK (konbanwa), NULL);
	button = gtk_button_new_with_label ("いい天気だぜ");
	gtk_box_pack_start (GTK_BOX (hbox), button, TRUE, TRUE, 0);
	g_signal_connect (G_OBJECT (button), "clicked",
		G_CALLBACK (iitenkidaze), NULL);

	hbox = gtk_hbox_new (FALSE, 5);
	gtk_box_pack_start (GTK_BOX (vbox), hbox, TRUE, TRUE, 0);
	button = gtk_button_new_with_label ("お腹空きましたわ");
	gtk_box_pack_start (GTK_BOX (hbox), button, TRUE, TRUE, 0);
	g_signal_connect (G_OBJECT (button), "clicked",
		G_CALLBACK (onakasukimasitawa), NULL);
	button = gtk_button_new_with_label ("帰りたいです");
	gtk_box_pack_start (GTK_BOX (hbox), button, TRUE, TRUE, 0);
	g_signal_connect (G_OBJECT (button), "clicked",
		G_CALLBACK (kaeritaidesu), NULL);

	hbox = gtk_hbox_new (FALSE, 5);
	gtk_box_pack_start (GTK_BOX (vbox), hbox, TRUE, TRUE, 0);
	button = gtk_button_new_with_label ("はい");
	gtk_box_pack_start (GTK_BOX (hbox), button, TRUE, TRUE, 0);
	g_signal_connect (G_OBJECT (button), "clicked",
		G_CALLBACK (hai), NULL);
	button = gtk_button_new_with_label ("いいえ");
	gtk_box_pack_start (GTK_BOX (hbox), button, TRUE, TRUE, 0);
	g_signal_connect (G_OBJECT (button), "clicked",
		G_CALLBACK (iie), NULL);

	hbox = gtk_hbox_new (FALSE, 5);
	gtk_box_pack_start (GTK_BOX (vbox), hbox, TRUE, TRUE, 0);
	button = gtk_button_new_with_label ("寒ぃー");
	gtk_box_pack_start (GTK_BOX (hbox), button, TRUE, TRUE, 0);
	g_signal_connect (G_OBJECT (button), "clicked",
		G_CALLBACK (sami), NULL);
	button = gtk_button_new_with_label ("暑ぃー");
	gtk_box_pack_start (GTK_BOX (hbox), button, TRUE, TRUE, 0);
	g_signal_connect (G_OBJECT (button), "clicked",
		G_CALLBACK (ati), NULL);

	hbox = gtk_hbox_new (FALSE, 5);
	gtk_box_pack_start (GTK_BOX (vbox), hbox, TRUE, TRUE, 0);
	button = gtk_button_new_with_label ("録画を開始します");
	gtk_box_pack_start (GTK_BOX (hbox), button, TRUE, TRUE, 0);
	g_signal_connect (G_OBJECT (button), "clicked",
		G_CALLBACK (rokugawokaisisimasu), NULL);
	button = gtk_button_new_with_label ("録画を開始します（エコー）");
	gtk_box_pack_start (GTK_BOX (hbox), button, TRUE, TRUE, 0);
	g_signal_connect (G_OBJECT (button), "clicked",
		G_CALLBACK (rokugawokaisisimasueko), NULL);


  	gtk_widget_show_all (window);

  	system("aplay -q start.wav");
  	gtk_main ();
  	system("aplay -q end.wav");

	return 0;
}


